# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.3

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build

# Utility rule file for daq_viewer_autogen.

# Include any custom commands dependencies for this target.
include CMakeFiles/daq_viewer_autogen.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/daq_viewer_autogen.dir/progress.make

CMakeFiles/daq_viewer_autogen: daq_viewer_autogen/timestamp

daq_viewer_autogen/timestamp: /usr/lib/qt6/moc
daq_viewer_autogen/timestamp: /usr/lib/qt6/uic
daq_viewer_autogen/timestamp: CMakeFiles/daq_viewer_autogen.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic MOC and UIC for target daq_viewer"
	/usr/bin/cmake -E cmake_autogen /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build/CMakeFiles/daq_viewer_autogen.dir/AutogenInfo.json Debug
	/usr/bin/cmake -E touch /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build/daq_viewer_autogen/timestamp

CMakeFiles/daq_viewer_autogen.dir/codegen:
.PHONY : CMakeFiles/daq_viewer_autogen.dir/codegen

daq_viewer_autogen: CMakeFiles/daq_viewer_autogen
daq_viewer_autogen: daq_viewer_autogen/timestamp
daq_viewer_autogen: CMakeFiles/daq_viewer_autogen.dir/build.make
.PHONY : daq_viewer_autogen

# Rule to build all files generated by this target.
CMakeFiles/daq_viewer_autogen.dir/build: daq_viewer_autogen
.PHONY : CMakeFiles/daq_viewer_autogen.dir/build

CMakeFiles/daq_viewer_autogen.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/daq_viewer_autogen.dir/cmake_clean.cmake
.PHONY : CMakeFiles/daq_viewer_autogen.dir/clean

CMakeFiles/daq_viewer_autogen.dir/depend:
	cd /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build /home/martino/Projects/MARTe_IO_components/Client/NativeUI-Qt/build/CMakeFiles/daq_viewer_autogen.dir/DependInfo.cmake "--color=$(COLOR)" daq_viewer_autogen
.PHONY : CMakeFiles/daq_viewer_autogen.dir/depend

